package com.factory.web.entity.fa.res;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

import com.factory.web.entity.fa.FirstArticleCalendar;
import com.factory.web.entity.fa.FirstArticleTitle;
import com.factory.web.entity.fa.FirstArticleWorkshop;
import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 首件计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class FaCalendarRes implements Serializable {

	@ApiModelProperty(value = "0表示首件 1表示200件 2表示中断")
	private Integer typeFlag;
	
	@ApiModelProperty(value = "检验时间")
	private LocalDate taskTime;
	
	@ApiModelProperty(value = "检验人")
	private String checkPerson;

}
